Subject: Re: bug#24359: Patch for byte compilation bugs

From: Philipp Stephani <[email-masked]>
Date: Sun, 11 Sep 2016 16:05:27 +0000

<[email-masked]> schrieb am So., 4. Sep. 2016 um 23:07 Uhr:

>
> There was some suggestion in #23495 (to which I've merged this bug) that
> it may have been on purpose, but no confirmation of that, and it doesn't
> really make sense to me, so I think your patch is a good idea.
>

Thanks. Since nobody complained or provided arguments for the current
behavior, I've pushed it to master.

>
> Philipp Stephani <[email-masked]> writes:
> >
> > * lisp/emacs-lisp/macroexp.el (macroexp--funcall-if-compiled)
> > (macroexp--warn-and-return): Use ‘byte-compile-warn’ instead of
> > ‘byte-compile-log-warning’.
> >
> > * lisp/emacs-lisp/bytecomp.el (byte-compile-form,
> byte-compile-unfold-bcf)
> > (byte-compile-setq, byte-compile-funcall): Use
> > ‘byte-compile-report-error’ instead of ‘byte-compile-log-warning’.
> [...]
> > * lisp/emacs-lisp/cconv.el (cconv-convert, cconv--analyze-use)
> > (cconv--analyze-function, cconv-analyze-form): Use
> > ‘byte-compile-warn’ instead of ‘byte-compile-log-warning’.
> >
> > * lisp/emacs-lisp/byte-opt.el (byte-compile-inline-expand): Use
> > ‘byte-compile-warn’ instead of ‘byte-compile-log-warning’.
> >
> > * lisp/subr.el (add-to-list): Use ‘byte-compile-report-error’ instead
> > of ‘byte-compile-log-warning’.
> > (do-after-load-evaluation): Use ‘byte-compile-warn’ instead of
> > ‘byte-compile-log-warning’.
>
> I think you can combine all these into one entry.
>

I wouldn't know how, as they are for different files, and AFAIK the
changelog format doesn't allow combining messages across files.

>
> >  (defun byte-compile-log-warning (string &optional fill level)
> > +  "Log a message STRING in `byte-compile-log-buffer'.
> > +Also log the current function and file if not already done.  If
> > +FILL is non-nil, set ‘warning-fill-prefix’ to four spaces.  LEVEL
>
> Docstrings should use `', which will be converted to ‘’ upon display.
>

Done.